/* Global styles */

/* small screens first */

body{
	font-family: "Myriad Pro", Helvetica, Arial, "sans-serif";
	position: relative;
	padding: 0px;
	margin: 0px;
	background-color: #fff;
	color: #000;
	font-size: 1em;
	min-height: 1300px; /* needed for portrait iPhones */ 
	}

img {
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome and Opera */
}	

a:link, a:visited, .link{
	color: #0097fe;
	font-weight: bold;
	text-decoration: none;
	cursor: pointer;
	}
a:hover, .link:hover{
	color: #6cb9ff;
	}

.link-red{
	color: #b50000;
	font-weight: bold;
	text-decoration: none;
	cursor: pointer;
	}
.link-red:hover{
	color: #ff3333;
	}

hr{
	clear: both;
	padding: 0px;
	margin: 20px 0px 0px 0px;
    height: 1px;
    border: 0;
    border-top: 1px solid #ccc; 
	}
h1{
	color: #0097fe;
	padding: 15px 0px 10px 0px;
	margin: 0px 0px 0px 0px;
	font-size: 3em;
	text-align: left;
	font-weight: bold;
	}
h2{
	color: #000;
	font-weight: normal;
	font-size: 2em;
	line-height: .9em;
	padding-top: 10px;
	}
h3{
	color: #000;
	font-weight: bold;
	font-size: 1.75;
	padding-top: 15px;
	}
p, #credit-scene li{
	font-size: 1.75em;
	}
		
#preload{
	display: none;
}	

.print-only{
	display: none;
	}
#gameWrapper{
	display: block;
	position: relative;
	text-align: left;
	width: 900px;
	padding: 0px 0px 0px 0px;
	margin: 0px auto 0px auto;

	}
#footer{
	margin: 0px auto 10px auto;
	position: relative;
	display: block;
	text-align: left;
	width: 860px;
	padding: 5px 20px 0px 20px;
	border-top: 1px solid #ccc; 
	}	
#footer p{
	font-weight: normal;
	font-size: 1.5em;
	margin: 0px 0px 5px 0px;
	color: #aaa;
	}	
#footer a{
	font-weight: normal;
	color: #aaa;
	}
#footer a:hover{
	color: #50a8ff;
	text-decoration: underline;
	}				

		
/* buttons */	
.sceneButton{
	display: inline-block;
	position: relative;
	padding: 0px 5px 0px 5px;
	cursor: pointer;
	font-weight: bold;
	margin-top: 3px;
	margin-left: 0px;
	margin-right: 0px;
	background-color: #AEDAFF;
	border: 1.5px solid #fff;
	border-radius: 1.5em;
	}

.sceneButton p{
	padding: 12px 12px 12px 12px;
	margin: 0px;
	font-size: 1.75em;
	color: #000;
	}
.sceneButton:hover{
	background-color: #83CDFF;
	z-index: 50;
	}
.sceneButton a:hover, .sceneButton a:link, .sceneButton a:visited{
	color: #000;
	}


/* for intro button */				
.clear{
	clear: both;
	padding: 0px;
	margin: 0px;
	line-height: 0px;
	}
/* for quit button */
.quit{
	float: right;
	background-color: #ff3333;
	}	
.quit:hover{
	background-color: #b50000;
	}
.quit a:hover, .quit a:link, .quit a:visited{
	color: #fff;
	}	
.quit p{
	color: #fff;
	}	


	
/* active button */		
.button-active{
	background-color: #C0C0FF;
	}	
.button-active:hover{
	background-color: #B6B6FC;
	}		


.float-left{
	padding: 0px;
	margin: 0px 15% 0px 0px;
	width: 70%;
	position: relative;
	clear: both;
	}
.float-left-small{
	padding: 0px;
	margin: 0px 15% 0px 0px;
	width: 40%;
	position: relative;
	}		
.float-right{
	padding: 0px;
	margin: 0px 0px 0px 15%;
	width: 70%;
	position: relative;
	clear: both;
	}	
.float-right-small{
	padding: 0px;
	margin: 0px 0px 0px 30%;
	width: 30%;
	position: relative;
	}	
.float-left img, .float-right img, .float-right-small img{
	width: 100%;
	}
.float-left p, .float-right p, .float-right-small p{
	padding: 0px;
	margin: 0px;
	color: #aaa;
	font-size: .825em;
	}	
.top-padding{
	padding-top: 20px;
	}


#intro-scene, #howPlay-scene, #credit-scene{
	padding: 10px 20px 30px 20px;
	}



/* HOW TO PLAY */

#howPlay-scene dl{
	clear: both;
	padding: 12px 0px 12px 0px;
	margin: 0px;
	}
#howPlay-scene dd{
	padding: 10px 0px 0px 3px;
	margin-left: 10%;
	font-size: 1.75em;
	}	
#howPlay-scene dt{
	float: left;
	width: 8%;
	padding-right: 20px;
	}
#howPlay-scene dt img{
	width: 100%;
	float: left;
	padding-bottom: 1px;
}



/* KEYPAD */
#keypadWrapper{ 
	position: absolute;
	width: 200px;
	top: 152px;
	left: 282px;
	z-index: 200; 
	}	
.key{
	width: 45px;
	height: 45px;
	padding: 0px;
	margin: 0px 4px 3px 0px;
	background-color: #E6F0FF;
	cursor: pointer;
	border-radius: 10px;
	border: 2px solid #506993;
	display: inline-block;
	float: left;
}
.key p{
	color: #000000;
	font-weight: bold;
	font-size: 1.8em;
	padding: 5px 0px 0px 0px;
	margin: 0px;
	pointer-events: none;
	text-align: center;
}	
#key-12 p{
	padding-top: 3px;
}	 
.key:hover{
	background-color: #ffffff;
}
#keypadCodeBox{ 
	position: absolute; 
	width: 140px;
	padding-left: 10px; 
	height: 45px; 
	top: 103px; 
	left: 285px;
	z-index: 200;
}	
#keypadCodeBox p{
	text-align: left;
	font-size: 2.5em;
	font-weight: bold;
	padding: 0px;
	margin: 0px;
	color: #ffffff;
	pointer-events: none;
	-webkit-user-select: none; /* Safari */        
	-moz-user-select: none; /* Firefox */
	-ms-user-select: none; /* IE10+/Edge */
	user-select: none; /* Standard */
	letter-spacing: 12px;
}

#playScene h1.conclusionTitle{
	text-align: center;
	color: #000;
	position: absolute;
	width: 700px;
	top: 160px;
	left: 100px;
	margin: 0px;
	padding: 0px;
	font-size: 2.5em;
	}
.conclusionBody{
	color: #000;
	position: absolute;
	top: 200px;
	width: 550px;
	left: 175px;
	font-size: .9em;
	margin: 0px;
	padding: 0px;
}

#conclusionWrapper{
	padding: 30px 0px 0px 0px;
	margin: 0px;
	display: none;
}
ul.indexIcons, ul.conclusionIcons{
	text-align: center;
	padding: 0px;
	margin: 0px;
	}
ul.indexIcons li{
	display: inline-block;
	width:46%;
	padding: 0px 1% 0px 2%;
	margin: 0px auto 0px auto;
	text-align: center;
	vertical-align: top;
	color: #000;
	float: left;
	}				
ul.conclusionIcons li{
	display: inline-block;
	width: 48%;
	padding: 0px;
	margin: 0px auto 0px auto;
	text-align: center;
	vertical-align: top;
	color: #000;
	}		
ul.indexIcons li img{
	width: 60%;
	display: block;
	margin: 0px auto 10px auto;
	}		
ul.conclusionIcons li img{
	width: 50%;
	display: block;
	margin: 0px auto 10px auto;
	}			
ul.indexIcons p.icon-details, ul.conclusionIcons p.icon-details{
	line-height: 1.15em;
	padding: 0px 5px 0px 5px;
	margin-top: 5px;
	color: #000000;
	}

/* Back to top button */
#back-to-top{
	position: fixed;
	width: 3.8em;
	height: 3.8em;
	background-color: rgba(0,0,0,0.45);
	right: 0px;
	bottom: 0px;
	border-radius: 50%;
	text-align: center;
	margin-right: 1em;
	margin-bottom: 1em;
	padding-top: 0em;
	z-index: 1000;
	display: none;
	}
#back-to-top:hover{
	background-color: rgba(0,0,0,0.65);
	}
#tri {
  	width: 0; 
  	height: 0;
  	border-left: 1.2em solid transparent;
  	border-right: 1.2em solid transparent;
  	border-bottom: 1.5em solid #fff;
	margin: auto;
	padding-top: .9em;
	}	
		
/* MAIN SCENE ------------------- */	
#introScene{
	text-align: center;
	padding: 0px 0px 40px 0px;
	}
#introScene .footprints {
	text-align: center;
	width: 160px;
	margin: 40px auto 60px auto;
	opacity: .7;
	}	
#main-title-wrapper{
	position: relative;
	width: 100%;
	padding: 30px 0px 50px 0px;
	margin: 0px;
	text-align: center;
	display: block;
	}	
#introScene h1{
	font-family: 'Luckiest Guy';
	font-size: 8em;
	line-height: .9em;
	padding: 20px 0px 0px 0px;
	display: block;
	color: #275389;
	font-weight: normal;
	text-align: center;
	}
#introScene h2{
	font-weight: bold;
	font-size:4em;
	margin: 0px 5px 0px -10px;
	padding: 0px;
	color: #0097fe;
	}	

/* ICONS ------------ */		

/* Menu button on Play screen */
#playMenuButton{
	position: absolute;
	top: 5px;
	right: 10px;
}
/* How to Play Button*/		
#howPlayButton{
	cursor: pointer;
	display: block;
	width: 3.5em;
	padding: 0px;
	margin: 0px; 
	top: 20px;
	right: 20px;
	position: absolute;
	z-index: 400;
	}
#soundButton{	
	cursor: pointer;
	display: block;
	width: 3.5em;
	padding: 0px;
	margin: 0px; 
	top: 100px;
	right: 20px;
	position: absolute;
	z-index: 400;
}	
#newMessageButton{
	cursor: pointer;
	display: none;
	width: 3.5em;
	padding: 0px;
	margin: 0px; 
	top: 180px;
	right: 20px;
	position: absolute;
	z-index: 400;
}
.closeX{
	width: 3.5em;
	position: absolute;
	right: 20px;
	top: 20px;
	cursor: pointer;
	}
/* infobox */
.infoBox{	
	background-color: #5A5077;
	padding: 40px 110px 35px 30px;
	margin: 0px 0px 0px 0px;
	position: relative;
	display: none;
	clear: both;
	}
.infoBox p{
	color: #ffffff;
	margin: 0px;
	padding: 0px;
	}	

/* GAME PORTION */

/* intro text */
#introMessageWrapper{
	position: absolute;
	z-index: 200;
	top: 0px;
	left: 0px;
	width: 900px;
	height: 600px;
	background-color: #000000;
}
#introMessageWrapper p{
	color: #0097fe;
	font-size: 3em;
	padding: 200px 100px 0px 100px;
	text-align: center;
	margin: 0px auto 0px auto;
	-webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome and Opera */
}

#playScene{
	padding: 0px;
	}
#playScene h1{
	padding: 10px 10px 10px 10px;
}

#sceneWrapper{
	display: block;
	position: relative;
}

.scene{
	padding: 0px;
	width: 900px;
	height: 600px;
	background-repeat: no-repeat;
	background-size: 100%;
	background-position: top left;
}

/* ITEMS */
.sceneItem{ 
	position: absolute;
	z-index: 10;
}


/* TABEL ITEMS */
.tableItem {
	position: absolute;
	display: none;
	z-index: 20;
}
.itemDark{
	filter: brightness(50%);
	-webkit-filter: brightness(50%);
}
.itemTop{
	z-index: 500;
}


.spotlight{
	position: absolute;
	top: 0px;
	left: 0px;
	width: 900px;
	height: 600px;
	background-repeat: no-repeat;
	background-size: 100%;
	background-position: top left;
	background-image: url("../assets/images/spotlight.svg");
	pointer-events: none;
}
.darkness{
	position: absolute;
	top: 0px;
	left: 0px;
	pointer-events: none;
	z-index: 100;
}
.tableDarkness{
	position: absolute;
	top: 0px;
	left: 0px;
	width: 900px;
	height: 600px;
	pointer-events: none;
	z-index: 100;
	background-color: rgba(0,0,0,.60);
}

#messageWrapper{	
	background-color: #3F556B;
	padding: 10px 30px 20px 30px;
	margin: 0px;
	position: relative;
	}
#messageWrapper p{
	color: #ffffff;
	font-size: 2em;
	}	
#buttonWrapper{
	padding-bottom: 30px;
}	
/* buttons */	
.messageBoxButton{
	display: inline-block;
	position: relative;
	padding: 0px 5px 0px 5px;
	border-radius: 2em;
	cursor: pointer;
	font-weight: bold;
	margin: 0px 10px 20px 0px;
	background-color: #647999;
	}
.messageBoxButton p{
	padding: 15px;
	margin: 0px;
	font-size: 1.3em;
	color: #fff;
	pointer-events: none;
	}
.messageBoxButton:hover{
	background-color: #7488A5;
	}

#computerScreen-Wrapper{
	position: absolute;
	left: 110px;
	top: 50px;
	right: 100px;
	width: 681px;
	height: 468px;
	padding: 0px;
	margin: 0px;
	overflow-y: auto;
	z-index: 200;
	}
#computerScreen-subWrapper{
	padding: 20px;
	}
#playScene #computerScreen-subWrapper h1{
	padding: 0px 0px 20px 0px;
	font-size: 2.5em;
	line-height: .9em;
	}	
#computerScreen-subWrapper p{
	font-size: 1.5em;
	color: #ffffff;
	padding-top: 0px;
	padding-bottom: 20px;
	margin: 0px;
	line-height: 1.1em;
	}
/* buttons */	
#computerScreen-Wrapper .sceneButton {
	border-radius: 1.1em;
	clear: both;
	}
#computerScreen-Wrapper .sceneButton p{
	color: #000000;
	padding: 15px;
	}
/* Scientific Method Steps*/
.scientificMethod-step{
	padding: 0px;
	margin: 10px 0px 10px 0px;
	clear: both;
	display: block;
	position: relative;
	}
#computerScreen-Wrapper .scientificMethod-step p{
	font-size: 1.35em;
	color: #ffffff;
	padding: 0px;
	margin: 0px;
	}
#computerScreen-Wrapper .scientificMethod-step h3{
	color: #ffffff;
	padding: 0px 0px 5px 0px;
	margin: 0px;
	font-size: 1.5em;
	}
.titleBlock1, .titleBlock2{
	display: inline-block;
	padding: 0px 3% 0px 3%;
	margin: 0px;
	width: 43%;
	vertical-align: top;
	}	
h2.titleBlock1, h2.titleBlock2{
	color: #ffffff;
	font-size:1.75em;
}	
.block1, .block2{
	display: inline-block;
	padding: 3%;
	width: 43%;
	vertical-align: top;
	}
/* for text between the main SM blocks */
#computerScreen-Wrapper .small{
	font-size: 1.5em;
	margin: 0px;
	padding: 15px 0px 15px 0px ;
}

/* Player name */
#playerName{
	font-size: 2em;
	padding: 3px;	
	width: 70%;
	margin-bottom: 25px;
	margin-right: 30%;
}

/* radio buttons */
#questionWrapper{
	margin-bottom: 20px;
}
#questionWrapper input[type=radio]{
	left: 20px; 
	-webkit-transform: scale(1.5);
    -moz-transform: scale(1.5);
    -o-transform: scale(1.5);
    -ms-transform: scale(1.5);
    transform: scale(1.5);
    position: absolute; 
}
.radioWrapper{
	display: block;
	margin: 5px 0px 20px 0px;
}
#questionWrapper label{
	color: #ffffff;
	font-size: 1.5em;
	line-height: 1em;
	margin: 0px 0px 0px 35px;
	display: block;
}

#printSummary{
	display: none;
}
#playerPrintSummary{
	display: none;
}





/* tablet ------------------------------------------- */
@media (min-width:400px) {
	body{
		min-height: 0px;
	}
	p, #credit-scene li, #howPlay-scene dd{
		font-size: 1.25em;
	}
	h1{
	font-size: 2.5em;
	}
	#playScene h1{
		padding-bottom: 0px;
	}

	#main-title-wrapper{
		padding: 10px 0px 20px 0px;
	}
	#introScene h1{
		font-size: 4.5em;
		line-height: .8em;
		padding-top: 15px;
	}
	#introScene h2{
		padding-top: 10px;
		font-size: 2.25em;
	}

	.float-left{
		padding: 0px 40px 20px 0px;
		margin: 0px;
		width: 45%;
		float: left;
	}
	.float-right{
		padding: 0px 0px 20px 40px;
		margin: 0px;
		width: 45%;
		float: right;
	}	
	.float-right-small{
		padding: 40px 0px 20px 40px;
		margin: 0px;
		width: 20%;
		float: right;
	}

	ul.indexIcons li, ul.conclusionIcons li{
		width: 23%;
		float: none;
		padding: 0px;
	}
	ul.indexIcons li img, ul.indexIcons li img{
		width: 70%;
		padding: 0px;
		margin-bottom: 3px;
	}

	.sceneButton p{
		padding: 8px;
		font-size: 1.25em;
	}	
	/* buttons */	
	.sceneButton{
		border-radius: 1.25em;
		margin: 1px;
	}
	.padding1{
		margin-top: 50px;
	}
	.quit{
		float: right;
	}
	/* first, middle, last button */	
	.button-first{
		border-radius: 1em 0em 0em 1em;
		margin-left: 0px;
		margin-right: -2px;
	}
	.button-middle{
		border-radius: 0em;
		margin-left: -2px;
		margin-right: -2px;
	}
	.button-last{
		border-radius: 0em 1em 1em 0em;
		margin-left: -2px;
		margin-right: 0px;
	}
	#computerScreen-Wrapper .sceneButton p{
		padding: 8px;
	}
	#howPlay-scene dt{
		float: left;
		width: 5%;
		padding-right: 20px;
		}

	#footer p{
		font-size: 1em;
	}

	/* infobox */
	.infoBox{	
		padding: 20px 90px 15px 20px;
		margin: 0px;
	}
	.closeX{
		width: 2.5em;
		right: 20px;
		top: 20px;
	}
	/* icons */
	#playMenuButton{
		top: 10px;
	}	
	#howPlayButton{
		width: 2.5em;
		top: 20px;
	}
	#soundButton{	
		width: 2.5em;
		top: 80px;
	}
	#newMessageButton{
		width: 2.5em;
		top: 140px;
	}	

	#playScene h1.conclusionTitle{
		font-size: 2.25em;
		top: 170px;
	}
	.conclusionBody{
		top: 210px;
		font-size: 1.25em;
	}
	ul.conclusionIcons li img{
		width: 70%;
	}	
	#introMessageWrapper p{
		font-size: 2.5em;
	}
	#messageWrapper p{
		font-size: 1.5em;
	}

	#keypadCodeBox p{
		font-size: 2.25em;
	}


}

/* larger screens ------------------------------------------- */
@media (min-width:800px) {

	#gameWrapper{
		margin: 0px auto 5px auto;
		border: 1px solid #ccc;
	}	
	#footer{
		padding: 0px;
		width: 900px;
		border: none;
	}
	#footer p{
		font-weight: normal;
		font-size: .85em;
	}

	h1{
		font-size: 2.25em;
		padding-top: 5px;
		padding-bottom: 5px;
	}
	h2{
		font-size: 1.7em;
		line-height: auto;
		padding-top: 0px;
	}
	p, #credit-scene li{
		font-size: 1em;
	}	
	#howPlay-scene dd {
		font-size: 1em;
		padding-top: 5px;
		margin: 0px 0px 10px 5%;
	}	
	#howPlay-scene dt{
		padding-right: 5px;
		width: 4%;
	}

	.sceneButton p{
		font-size: 1.05em;
		padding: 7px;
	}
	#keypadCodeBox{
		top: 105px;
    	left: 290px;
	}
	.key p {
		padding-top: 8px;
	}
	#howPlayButton{
		width: 2em;
		top: 20px;
	}
	#soundButton{	
		width: 2em;
		top: 60px;
	}	
	#newMessageButton{
		width: 2em;
		top: 100px;
	}
	.closeX{
		width: 2em;
		right: 20px;
		top: 20px;
	}
	#messageWrapper{	
	
	}
	#messageWrapper p{
		font-size: 1.1em;
		margin: 0px;
		padding: 15px 0px 5px 0px;
	}	
	#buttonWrapper {
		padding-top: 10px;
		padding-bottom: 5px;
		margin-bottom: 0px;
	}
	#messageWrapper .messageBoxButton p{
		font-size: 1.2em;
		padding: 8px;
		font-weight: normal;
	}

	/* computer screen */
	#playScene #computerScreen-subWrapper h1{
		line-height: 1em;
		font-size: 1.8em;
		padding: 0px 0px 15px 0px;
	}	
	#computerScreen-subWrapper p{
		font-size: 1.15em;
		line-height: 1.3em;
		padding: 0px 0px 20px 0px;
	}
	#computerScreen-Wrapper .scientificMethod-step p{
		font-size: 1.1em;
	}
	#computerScreen-Wrapper .scientificMethod-step h3{
		font-size: 1.1em;
		line-height: 1em;
	}
	#computerScreen-Wrapper .sceneButton p{
		padding: 6px;
		font-size: 1.1em;
	}
	#questionWrapper label{
		font-size: 1.15em;
		margin: 0px 0px 0px 30px;
	}
	/* for text between the main SM blocks */
	#computerScreen-Wrapper .small{
		font-size: 1.1em;
	}	
	
	
}
